<?php
/**
 * 前台关于我们页面主文件
 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once('include/config.php');             // 调用配置文件
require_once('include/db_mysql.php');           // 调用数据库类
require_once('include/common.inc.php');         // 调用公共配置文件
require_once('include/smarty_con.php');         // 调用smarty文件
require_once('include/function.php');           // 调用基本函数库
require_once('include/page.class.php');         // 调用分页类

require_once('include/include_default.php');    // 调用默认固定标签
require_once('include/include_top.php');        // 调用头部标签
require_once('include/include_about.php');      // 调用关于我们标签
require_once('include/include_ad.php');         // 调用广告标签
require_once('include/include_article.php');    // 调用文章标签
//require_once('include/include_case.php');       // 调用项目标签
//require_once('include/include_contact.php');    // 调用联系我们标签
//require_once('include/include_down.php');       // 调用下载标签
require_once('include/include_link.php');       // 调用友情链接标签
//require_once('include/include_news.php');       // 调用新闻标签
//require_once('include/include_person.php');     // 调用诚聘英才标签
//require_once('include/include_product.php');    // 调用产品标签
//require_once('include/include_resource.php');   // 调用资源标签
//require_once('include/include_service.php');    // 调用客户服务标签
//require_once('include/include_vote.php');       // 调用投票标签
//require_once('include/include_blog.php');       // 调用博客标签

/**
 +-------------------------------------------------------------------
 * 主体处理程序
 +-------------------------------------------------------------------
 */ 

$act = empty($_GET['act']) ? 'list' : $_GET['act'];

switch($act) {

	case 'list':

		/**
		 +-------------------------------------------------------------------
		 * 关于我们前台文章模式调用参数(关于我们参数请参照后台关于我们标签管理)
		 +-------------------------------------------------------------------
		 * ID: <!--{$article_list[loop].id}-->
		 * 目录ID: <!--{$article_list[loop].did}-->
		 * 简体目录标题: <!--{$article_list[loop].d_cn_title}-->
		 * 繁体目录标题: <!--{$article_list[loop].d_tk_title}-->
		 * 英文目录标题: <!--{$article_list[loop].d_en_title}-->

		 * 审核: <!--{$article_list[loop].passed}-->// 1 已审 0 未审
		 * news: <!--{$article_list[loop].news}-->// 1 是 0 否
		 * news时间: <!--{$article_list[loop].newsday}-->
		 * hot: <!--{$article_list[loop].hot}-->// 1 是 0 否
		 * 置顶: <!--{$article_list[loop].ontop}-->// 1 是 0 否
		 * 粗体: <!--{$article_list[loop].strong}-->// 1 是 0 否
		 * 斜体: <!--{$article_list[loop].em}-->// 1 是 0 否
		 * 下划线: <!--{$article_list[loop].underline}-->// 1 是 0 否

		 * 中文标题: <!--{$article_list[loop].cn_title}-->
		 * 繁体标题: <!--{$article_list[loop].tk_title}-->
		 * 英文标题: <!--{$article_list[loop].en_title}-->
		 * 标题颜色: <!--{$article_list[loop].titlecolor}-->
		 * 关键字: <!--{$article_list[loop].keyword}-->
		 * 是否图片文章： <!--{$article_list[loop].ynpic}--> // 1 是 0 否
		 * 文章图片地址： <!--{$article_list[loop].pic}--> 

		 * 时间： <!--{$article_list[loop].time_year}--> // xxxx-xx-xx xx:xx:xx
		 * 年份： <!--{$article_list[loop].time_y}-->
		 * 月份： <!--{$article_list[loop].time_m}-->
		 * 日期： <!--{$article_list[loop].time_d}-->
		 * 小时： <!--{$article_list[loop].time_h}-->
		 * 分钟： <!--{$article_list[loop].time_i}-->
		 * 秒钟： <!--{$article_list[loop].time_s}-->

		 * 中文作者： <!--{$article_list[loop].cn_author}-->
		 * 繁体作者： <!--{$article_list[loop].tk_author}-->
		 * 英文作者： <!--{$article_list[loop].en_author}-->
		 * 中文编辑： <!--{$article_list[loop].cn_editor}-->
		 * 繁体编辑： <!--{$article_list[loop].tk_editor}-->
		 * 英文编辑： <!--{$article_list[loop].en_editor}-->

		 * 来源： <!--{$article_list[loop].source}-->
		 * 排序： <!--{$article_list[loop].compositor}-->
		 * 是否显示： <!--{$article_list[loop].available}--> // 1 显示 0 不显示
		 * 转向链接： <!--{$article_list[loop].linkurl}-->

		 * 点击量： <!--{$article_list[loop].hits}-->
		 * 阅读等级： <!--{$article_list[loop].readlevel}-->
		 * 文章评分： <!--{$article_list[loop].stars}-->
		 * 中文内容： <!--{$article_list[loop].cn_content}-->
		 * 繁体内容： <!--{$article_list[loop].tk_content}-->
		 * 英文内容： <!--{$article_list[loop].en_content}-->
		 +-------------------------------------------------------------------
		 */

		// - 文章模式
		$aid  = intval($_GET['aid']);
		$arid = intval($_GET['arid']);
		$smarty->assign('aid', $aid);
		$smarty->assign('arid', $arid);

		if (!empty($arid)) {

			// - 总记录数

			$tal     = $db->getarray($db->query("select COUNT(*) as total from {$prefix}_article where passed=1 and did='$arid'")); // 总记录条数
			$total   = $tal['total'];

			// - 输出数据

			$perpage = empty($_GET['pe']) ? 10 : $_GET['pe']; // 每页显示记录条数
			$page    = empty($_GET['page']) ? 1 : $_GET['page']; // 当页页数
			$pbegin  = ($page * $perpage - $perpage) < 0 ? 0 : $page * $perpage - $perpage; // 起始数据

			$showorder = $re0r['showorder'];
			$showsc    = $re0r['showsc'];
			$re1s = $db->query("SELECT * FROM {$prefix}_article where passed=1 and did='$arid' order by ontop desc,compositor asc,time desc limit $pbegin, $perpage");
			$article_dir_array = '';
			while($re1r = $db->getarray($re1s)) {
				$re1r['time_year'] = date("Y-m-d H:i:s", $re1r['time']);
				$re1r['time_y'] = date("Y", $re1r['time']);
				$re1r['time_m'] = date("m", $re1r['time']);
				$re1r['time_d'] = date("d", $re1r['time']);
				$re1r['time_h'] = date("H", $re1r['time']);
				$re1r['time_i'] = date("i", $re1r['time']);
				$re1r['time_s'] = date("s", $re1r['time']);
				$re1r['cn_title'] = msubstr($re1r['cn_title'], 0, 100, 'utf-8', '..'); // 标题截取字度
				$re1r['tk_title'] = msubstr($re1r['tk_title'], 0, 100, 'utf-8', '..');
				$re1r['en_title'] = msubstr($re1r['en_title'], 0, 200, 'utf-8', '..');
				$re2s = $db->query("select * from {$prefix}_article_dir where id = '".$re1r['did']."'");
				$re2r = $db->getarray($re2s);
				$re1r['d_cn_title'] = $re2r['cn_title']; // 目录名称
				$re1r['d_tk_title'] = $re2r['tk_title'];
				$re1r['d_en_title'] = $re2r['en_title'];

				$article_array[] = smarrayall($re1r);
			}
			$smarty->assign('article_list', $article_array);

			// - 分页

			$fpage = new page(array('total'=>$total, 'perpage'=>$perpage)); // 调用分页

			// 输出分页，其中40是简、41是繁、42是英
			if ($language == 'cn') {
				$smarty->assign('article_page', $fpage->show(40)); // 输出简体分页
			} elseif ($language == 'tk') {
				$smarty->assign('article_page', $fpage->show(41)); // 输出繁体分页
			} elseif ($language == 'en') {
				$smarty->assign('article_page', $fpage->show(42)); // 输出繁体分页
			} else {
				$smarty->assign('article_page', $fpage->show(40)); // 输出简体分页
			}

			$smarty->assign('url', base64_encode($fpage->_get_url($page))); // 记住url，以便返回

		}

		break;

	case 'page':

		/**
		 +-------------------------------------------------------------------
		 * 文章前台调用参数（关于我们调用参数请到后台标签调用处查看）
		 +-------------------------------------------------------------------
		 * ID  数据列表
		 * ID: <!--{$view.id}-->
		 * 目录ID: <!--{$view.did}-->
		 * 简体目录标题: <!--{$view.d_cn_title}-->
		 * 繁体目录标题: <!--{$view.d_tk_title}-->
		 * 英文目录标题: <!--{$view.d_en_title}-->
		 		 
		 * 审核: <!--{$view.passed}-->// 1 已审 0 未审
		 * news: <!--{$view.newsday}-->// 
		 * news时间: <!--{$view.passed}-->// 1 是 0 否
		 * hot: <!--{$view.hot}-->// 1 是 0 否
		 * 置顶: <!--{$view.ontop}-->// 1 是 0 否
		 * 粗体: <!--{$view.strong}-->// 1 是 0 否
		 * 斜体: <!--{$view.em}-->// 1 是 0 否
		 * 下划线: <!--{$view.underline}-->// 1 是 0 否
				
		 * 中文标题: <!--{$view.cn_title}-->
		 * 繁体标题: <!--{$view.tk_title}-->
		 * 英文标题: <!--{$view.en_title}-->
		 * 标题颜色: <!--{$view.titlecolor}--> 
		 * 关键字: <!--{$view.keyword}-->
		 * 是否图片文章： <!--{$view.ynpic}--> // 1 是 0 否
		 * 文章图片地址： <!--{$view.pic}-->
		
		 
		 * 时间： <!--{$view.time}--> // xxxx-xx-xx xx:xx:xx
		 * 年份： <!--{$view.time_y}-->
		 * 月份： <!--{$view.time_m}-->
		 * 日期： <!--{$view.time_d}-->
		 * 小时： <!--{$view.time_h}-->
		 * 分钟： <!--{$view.time_i}-->
		 * 秒钟： <!--{$view.time_s}-->
		
		 
		 
		 * 中文作者： <!--{$view.cn_author}-->
		 * 繁体作者： <!--{$view.tk_author}-->
		 * 英文作者： <!--{$view.en_author}-->
		 * 中文编辑： <!--{$view.cn_editor}-->
		 * 繁体编辑： <!--{$view.tk_editor}-->
		 * 英文编辑： <!--{$view.en_editor}-->
		
		 * 来源： <!--{$view.source}-->
		 * 排序： <!--{$view.compositor}-->
		 * 是否显示： <!--{$view.available}--> // 1 显示 0 不显示
		 * 转向链接： <!--{$view.linkurl}-->
		
		 * 点击量： <!--{$view.hits}-->
		 * 阅读等级： <!--{$view.readlevel}-->
		 * 文章评分： <!--{$view.stars}-->
		 * 中文内容： <!--{$view.cn_content}-->
		 * 繁体内容： <!--{$view.tk_content}-->
		 * 英文内容： <!--{$view.en_content}-->
		 * 
		 +-------------------------------------------------------------------
		 */


		// - 安全检查
		$id = f_int($_GET['apid']);

		// - 输出数据列表
		$re1s = $db->query("select * from {$prefix}_article where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re2s = $db->query("select * from {$prefix}_article_dir where id = '{$re1r['did']}'");
		$re2r = $db->getarray($re2s);
		$re1r['time'] = date("Y-m-d H:s", $re1r['time']);
		$re1r['d_cn_title'] = $re1r['cn_title'];
		$re1r['d_tk_title'] = $re1r['tk_title'];
		$re1r['d_en_title'] = $re1r['en_title'];
		$viewlist = smarrayall($re1r);
		$smarty->assign('view', $viewlist); // 定义显示数组

		// 访问量加1
		$db->update("update {$prefix}_article set hits=hits+1 where id='$id'");


		break;
}


/* ***********************************************************
* 调用模板文件
*********************************************************** */
$smarty->assign('act', $act);
$setuplist = smarrayall($setup);
$smarty->assign('setup', $setuplist); // 定义显示数组
$smarty->assign('ptime', ptime($time_start)); // 程序结束时间
$smarty->assign('c_userid', $c_userid); // Cookie userid
$smarty->assign('c_username', $c_username);  // Cookie username
//echo ptime($time_start);
//$smarty->display('skins/'.$skins.'/cn_about.html'); // 只调中文默板
// 调用相对应的模板文件，$skins是默认风格，$language是默认语言
$file = 'lianxi.php';
$cache_id = cache_id($file);
$smarty->display('skins/'.$skins.'/'.$language.'_lianxi.html', cache_id('lianxi.php'));
?>