<?php
/**
 * Smarty page 页配置文件
 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once("colib/Smarty.class.php"); // 调用smarty代码
$smarty = new Smarty();
$smarty->template_dir = '';
$smarty->compile_dir = 'html_c/';
$smarty->cache_dir = 'cache/';
$smarty->left_delimiter = "<!--{";
$smarty->right_delimiter = "}-->";
$smarty->security = false; // 是否开启安全模式

if (empty($setup['cache_page'])) { // 未开启缓存
	$smarty->cache_lifetime = 0;
	$smarty->caching = false;
} else {
	$smarty->cache_lifetime = $setup['cache_page'];
	$smarty->caching = true;
}
?>