<?php
/**
 * 前台社区页面主文件
 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once('include/config.php'); // 调用配置文件
require_once('include/db_mysql.php'); // 调用数据库类
require_once('include/common.inc.php'); // 调用公共配置文件
require_once('include/smarty_no_con.php'); // 调用smarty文件
require_once('include/function.php'); // 调用基本函数库
require_once('include/page.class.php'); // 调用分页类

require_once('include/include_default.php');    // 调用默认固定标签
require_once('include/include_top.php');        // 调用头部标签
require_once('include/include_mpb.php');        // 调用社区标签
require_once('include/include_ad.php');         // 调用广告标签
require_once('include/include_link.php');       // 调用友情链接标签


/**
 +-------------------------------------------------------------------
 * 主体处理程序
 +-------------------------------------------------------------------
 */ 

$act = empty($_GET['act']) ? 'list' : $_GET['act'];

// cookie
$c_userid   = $_COOKIE['c_userid'];
$c_username = $_COOKIE['c_username'];
$c_groupid  = $_COOKIE['c_groupid'];
$smarty->assign('userid', $c_userid); // 登录id
$smarty->assign('c_groupid', $c_groupid); // 权阴

switch($act) {

	case 'list':
		$id = intval($_GET['id']);
		if (empty($id)) {
			$re1s = $db->query("select * from {$prefix}_mpb order by id limit 1");
			$re1r = $db->getarray($re1s);
			$id = $re1r['id'];
		}
		$smarty->assign('id', $id); // 当前论坛id

		break;

	case 'add':

		$id = intval($_GET['id']);
		if (empty($id)) {
			$re1s = $db->query("select * from {$prefix}_mpb order by id limit 1");
			$re1r = $db->getarray($re1s);
			$id = $re1r['id'];
		}
		
		$smarty->assign('id', intval($_GET['id'])); // 当前论坛id



		break;

	case 'addsave':

		if (empty($c_userid)) {
			exit('需要登录才能发表帖子');
		}
		// - 参数设置

		$_POST['time'] = time();
		$_POST['uid']  = $c_userid;
		$_POST['username'] = $c_username;

		// - 插入数据表
		$db->insert_list("{$prefix}_mpb", $_POST, '|did|title|uid|username|time|content');
		//		$message = '已经发表成功,正在返回!';
		//		$jumpurl = 'mpb.php'; // 跳转链接，默认返回
		//
		//		$smarty->assign('message', $message); // 跳转消息
		//		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		//		$smarty->assign('jumptime', 2); // 跳转时间


		break;

	case 'page':


		// - 安全检查
		$id = f_int($_GET['id']);

		// - 输出数据列表
		$re1s = $db->query("select * from {$prefix}_mpb where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re2s = $db->query("select * from {$prefix}_mpb_dir where id = '{$re1r['did']}'");
		$re2r = $db->getarray($re2s);
		$re1r['content'] = nl2br(unbbcode($re1r['content']));
		$re1r['time'] = date("Y-m-d H:s" ,$re1r['time']);
		$re1r['d_cn_title'] = $re2r['cn_title'];
		$re1r['d_tk_title'] = $re2r['tk_title'];
		$re1r['d_en_title'] = $re2r['en_title'];
		$viewlist = smarrayall($re1r);
		$smarty->assign('view', $viewlist); // 定义显示数组

		// 访问量加1
		$db->update("update {$prefix}_mpb set hits=hits+1 where id='$id'");

		// - 输出评论

		$re1s = $db->query("select * from {$prefix}_mpb where classid='$id' order by time desc limit 0, 50");
		while($re1r = $db->getarray($re1s)) {
			$re1r['content'] = nl2br(unbbcode($re1r['content']));
			$re1r['time'] = date("Y-m-d H:i:s", $re1r['time']);
			$restore_list_array[] = smarrayall($re1r);
		}
		$smarty->assign('restore_list', $restore_list_array);


		break;

	case 'restore':

		$_POST['time'] = time();
		$_POST['uid']  = $c_userid;
		$_POST['username'] = $c_username;
		$id = $_POST['classid'];
		$smarty->assign('id', $_POST['classid']); // 定义显示数组

		// - 插入数据表
		$db->insert_list("{$prefix}_mpb", $_POST, '|did|classid|title|uid|username|time|content');

		// - 回复量加1
		$db->update("update {$prefix}_mpb set restore=restore+1 where id='$id'");

		break;


	case 'edit':

		if ($c_groupid != 1) {
			exit('只有管理员才有权限删除');
		}

		$id = intval($_GET['id']);
		$smarty->assign('id', intval($_GET['id'])); // 当前论坛id

		// - 输出编辑列表
		$re1s = $db->query("select * from {$prefix}_mpb where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re1r['timed'] = date("Y-m-d",$re1r['time']);
		$re1r['timet'] = date("H:i:s",$re1r['time']);
		$editlist = smarrayall($re1r);
		$smarty->assign('edit', $editlist); // 定义显示数组

		break;


	case 'editsave':

		if ($c_groupid != 1) {
			exit('只有管理员才有权限删除');
		}

		$id = intval($_POST['id']);
		$condition = 'id='.$id; // 条件
		// - 编辑数据
		$db->update_list("{$prefix}_mpb", $_POST, $condition, '|title|content');

		break;


	case 'cdel':

		if ($c_groupid != 1) {
			exit('只有管理员才有权限删除');
		}

		$id      = intval($_GET['id']);
		// 删除操作
		$db->del("delete from {$prefix}_mpb where id='$id'");

		// - 回复量减1
		$db->update("update {$prefix}_mpb set restore=restore-1 where id='$id'");

		// - 定义返回id
		$smarty->assign('cid', intval($_GET['cid']));

		break;

	case 'del':

		if ($c_groupid != 1) {
			exit('只有管理员才有权限删除');
		}

		$id      = intval($_GET['id']);
		// 删除操作
		$db->del("delete from {$prefix}_mpb where id='$id'");

		// - 删除子帖
		$db->del("delete from {$prefix}_mpb where classid='$id'");


		break;

}


/* ***********************************************************
* 调用模板文件
*********************************************************** */
$smarty->assign('act', $act);
$setuplist = smarrayall($setup);
$smarty->assign('setup', $setuplist); // 定义显示数组
$smarty->assign('ptime', ptime($time_start)); // 程序结束时间
$smarty->assign('c_userid', $c_userid); // Cookie userid
$smarty->assign('c_username', $c_username);  // Cookie username
// 调用相对应的模板文件，$skins是默认风格，$language是默认语言
$smarty->display('skins/'.$skins.'/'.$language.'_mpb.html');
?>